
const ts = require('typescript');

module.exports = function(content) {
    if (this.query && this.query.getCustomTransformers) {
        const customTransformers = this.query.getCustomTransformers().before;
        if (customTransformers) {
            const src = ts.transform(content,customTransformers);
            console.log(src);
        }
    }
    return ts.transpile(content);
};
